PUT Application/PutReportParameters
Request Information
URI Parameters
None.
Body Parameters
Collection of ReportParameter| Name | Description | Type | Additional information |
|---|---|---|---|
| ID | globally unique identifier |
None. |
|
| ReportID | globally unique identifier |
Required |
|
| SchemaEntityID | globally unique identifier |
None. |
|
| ReportParameterTypeID | ReportParameterType |
Required |
|
| Name | string |
Required |
|
| DefaultValue | string |
None. |
|
| Caption | string |
None. |
|
| GroupBy | string |
None. |
|
| AllowNull | boolean |
Required |
|
| Sequence | integer |
None. |
|
| NameAlias | string |
None. |
Request Formats
application/json, text/json
Sample:
[
{
"$id": "1",
"id": "ec739e7f-720d-4c43-8888-9e59df46f8fb",
"reportID": "0cadcc3d-80af-4b75-9578-0902fe95202a",
"schemaEntityID": "94255e06-01b5-4a08-9206-173de863ac9a",
"reportParameterTypeID": 1,
"name": "sample string 3",
"defaultValue": "sample string 4",
"caption": "sample string 5",
"groupBy": "sample string 6",
"allowNull": true,
"sequence": 1,
"nameAlias": "sample string 8"
},
{
"$ref": "1"
}
]
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
ServiceResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| IsSuccess | boolean |
None. |
|
| ErrorMessage | string |
None. |
|
| Code | string |
None. |
|
| Response | ServiceItem |
None. |
|
| LatestDataTimestampUtc | date |
None. |
Response Formats
application/json, text/json
Sample:
Sample not available.